summaryrefslogtreecommitdiff
path: root/sbin
diff options
context:
space:
mode:
authorGunnar Wrobel <wrobel@gentoo.org>2007-04-27 20:06:26 +0000
committerGunnar Wrobel <wrobel@gentoo.org>2007-04-27 20:06:26 +0000
commitba6cc2e69796bae7e65110bd3cec44026a0b5aad (patch)
treec932defd09982568ea8796b6175cac10c079fd80 /sbin
parentPreliminary commit of category support in the server.py. I'll need to revert ... (diff)
downloadwebapp-config-ba6cc2e69796bae7e65110bd3cec44026a0b5aad.tar.gz
webapp-config-ba6cc2e69796bae7e65110bd3cec44026a0b5aad.tar.bz2
webapp-config-ba6cc2e69796bae7e65110bd3cec44026a0b5aad.zip
Category check for webapp-cleaner.
svn path=/trunk/webapp-config/; revision=22
Diffstat (limited to 'sbin')
-rwxr-xr-xsbin/webapp-cleaner6
1 files changed, 5 insertions, 1 deletions
diff --git a/sbin/webapp-cleaner b/sbin/webapp-cleaner
index d7ded2c..2d8447e 100755
--- a/sbin/webapp-cleaner
+++ b/sbin/webapp-cleaner
@@ -56,11 +56,15 @@ function sanity_checks() {
exit 1
fi
+ if [[ $(expr index "${PN}" "/") == "0" ]] ; then
+ eerror "Package name must be in the form CATEGORY/PN"
+ exit 1
+ fi
+
if [[ ! -d "${WEBAPP_DIR}/${PN}" ]]; then
eerror "${PN} not found"
exit 1
fi
-
}